%define upstream_name    Crypt-Twofish2
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Crypt::CBC compliant Twofish encryption module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module implements the twofish cipher in a less braindamaged (read:
slow and ugly) way than the existing 'Crypt::Twofish' module.

Although it is 'Crypt::CBC' compliant you usually gain nothing by using
that module (except generality, which is often a good thing), since
'Crypt::Twofish2' can work in either ECB or CBC mode itself.

* keysize

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes META.yml README COPYING
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.20.0-5pclos2017
- rebuild against updates

